﻿using System.Linq;
using Infragistics.Win;
using Infragistics.Win.UltraWinSpreadsheet.UIElements;

namespace SpreadsheetColumnContextMenu
{
    public class CustomCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is TabAreaUIElement)
            {
                TabAreaButtonUIElement addSheetButton = (TabAreaButtonUIElement)parent.ChildElements
                    .OfType<TabAreaButtonUIElement>()
                    .Where(button => button.TabAreaButtonType == Infragistics.Win.UltraWinSpreadsheet.TabAreaButtonType.AddSheet)
                    .FirstOrDefault();

                if (null != addSheetButton)
                {
                    parent.ChildElements.Remove(addSheetButton);                    
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
